=== debian/changelog ===
libpillowfight (0.2.4-2) unstable; urgency=medium

  * debian/tests: fix autopkgtests
  * debian/copyright: complete with correct attribution (Closes: #917956)
  * debian/control:
    - add cmake to Build-Depends (Closes: #917987)
    - dump Standards-Version to 4.3.0 (no changes needed)

 -- Thomas Perret <thomas.perret@phyx.fr>  Wed, 02 Jan 2019 11:51:40 +0100

libpillowfight (0.2.4-1) unstable; urgency=medium

  * Initial release (Closes: #912928)

 -- Thomas Perret <thomas.perret@phyx.fr>  Mon, 29 Oct 2018 13:53:46 +0100
