=== debian/control ===
Source: libpillowfight
Section: python
Priority: optional
Maintainer: Thomas Perret <thomas.perret@phyx.fr>
Build-Depends: debhelper (>= 11), cmake, dh-python, python3-all, python3-all-dev, python3-setuptools, python3-nose
Standards-Version: 4.3.0
Homepage: https://gitlab.gnome.org/World/OpenPaperwork/libpillowfight
Vcs-Browser: https://salsa.debian.org/openpaperwork-team/libpillowfight
Vcs-Git: https://salsa.debian.org/openpaperwork-team/libpillowfight.git

Package: python3-pypillowfight
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Python 3 bindings for libpillowfight
 Really simple C Library containing various image processing algorithms.
 It includes Python 3 bindings designed to operate on Pillow images.
 .
 This package installs the library for Python 3.

Package: libpillowfight-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpillowfight (= ${binary:Version}), ${misc:Depends}
Description: Various image processing algorithms library - development files
 Really simple C Library containing various image processing algorithms.
 It includes the following algorithms:
  - Unpaper's algorithms: Blackfilter, Noisefilter, Blurfilter, Masks,
 Grayfilter, Border
  - Canny edge detection
  - Sobel operator
  - Gaussian blur
  - ACE (Automatic Color Equalization ; Parallelized implementation)
  - SWT (Stroke Width Transformation)
  - Compare : Compare two images (grayscale) and makes the pixels that are
 different really visible (red).
 .
 This package installs the development headers

Package: libpillowfight
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Various image processing algorithms library
 Really simple C Library containing various image processing algorithms.
 It includes the following algorithms:
  - Unpaper's algorithms: Blackfilter, Noisefilter, Blurfilter, Masks,
 Grayfilter, Border
  - Canny edge detection
  - Sobel operator
  - Gaussian blur
  - ACE (Automatic Color Equalization ; Parallelized implementation)
  - SWT (Stroke Width Transformation)
  - Compare : Compare two images (grayscale) and makes the pixels that are
 different really visible (red).
 .
 This package installs the C library
