## libpillowfight 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(libpillowfight)
 set(CMAKE_BUILD_TYPE Release)
-set(LIBDIR lib CACHE STRING "object code libraries directory")
+set(CMAKE_INSTALL_LIBDIR lib CACHE STRING "object code libraries directory")
 
 add_definitions(-DNO_PYTHON)
 include_directories(include)
@@ -18,13 +18,19 @@
     src/pillowfight/_grayfilter.c
     src/pillowfight/_masks.c
     src/pillowfight/_noisefilter.c
+    src/pillowfight/_scanborders.c
     src/pillowfight/_sobel.c
     src/pillowfight/_version.c
     src/pillowfight/util.c
 )
+set_property(TARGET pillowfight PROPERTY SOVERSION 0)
 
-install (TARGETS pillowfight DESTINATION ${LIBDIR})
-install (FILES
+if (UNIX)
+    target_link_libraries(pillowfight m pthread)
+endif (UNIX)
+
+install(TARGETS pillowfight DESTINATION ${CMAKE_INSTALL_LIBDIR})
+install(FILES
     include/pillowfight/pillowfight.h
     include/pillowfight/util.h
     DESTINATION
