=== debian/changelog ===
libpillowfight (0.3.0-4ubuntu2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:27:03 +0000

libpillowfight (0.3.0-4ubuntu1) jammy; urgency=medium

  * Turn off use of LTO on amd64, which results in a misbuild.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 17 Nov 2021 21:44:34 +0000

libpillowfight (0.3.0-4build3) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:56:42 +0000

libpillowfight (0.3.0-4build2) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:40:07 +0100

libpillowfight (0.3.0-4build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 10:52:46 +0200

libpillowfight (0.3.0-4) unstable; urgency=medium

  * debian/control:
    - bump Standards-Version to 4.5.0 (no changes needed)
    - bump debhelper-compat to 13
  * debian/rules: drop dh_missing override

 -- Thomas Perret <thomas.perret@phyx.fr>  Tue, 18 Aug 2020 20:44:29 +0200

libpillowfight (0.3.0-3) unstable; urgency=medium

  * Make new version (Closes: #945419)
  * debian/salsa-ci.yml: Re-enable build-any Salsa-CI job
  * debian/rules: Add dh_missing --fail-missing

 -- Thomas Perret <thomas.perret@phyx.fr>  Mon, 02 Dec 2019 23:02:46 +0100

libpillowfight (0.3.0-2) UNRELEASED; urgency=medium

  * debian/control: add {lib,}python3-all-dbg package to Build-Depends to also
    build python3 dbgsym package
  * debian/rules: Fix crosscompiling using sbuild and pbuilder

 -- Thomas Perret <thomas.perret@phyx.fr>  Thu, 17 Oct 2019 12:07:22 +0200

libpillowfight (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0
  * debian/control:
    - Rename library package with SONAME version
    - Update library description
      + Add scan borders to available algorithm list
      + Remove complete description from development headers package
  * debian/rules:
    - Allow crossbuilding
    - Explicitly use packages buildsystem in overridden targets
  * Bump Standards-Version to 4.4.1
    - Add Rules-Requires-Root: no to debian/control
    - Move deprecated upstream metadata to debian/copyright
  * Update copyright years and format and fix link (duck hints)
  * Add unittests as DEP-8 autopkgtests
  * Add Salsa CI jobs
  * Remove debian/clean (not needed anymore)

 -- Thomas Perret <thomas.perret@phyx.fr>  Sun, 13 Oct 2019 20:07:28 +0200
