=== debian/control ===
Source: libpillowfight
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thomas Perret <thomas.perret@phyx.fr>
Build-Depends: debhelper-compat (= 13), cmake, dh-python, libpython3-all-dev, libpython3-all-dbg, python3-all-dev:any, python3-all-dbg:any, python3-setuptools, python3-nose
Standards-Version: 4.5.0
Homepage: https://gitlab.gnome.org/World/OpenPaperwork/libpillowfight
Vcs-Browser: https://salsa.debian.org/openpaperwork-team/libpillowfight
Vcs-Git: https://salsa.debian.org/openpaperwork-team/libpillowfight.git
Rules-Requires-Root: no

Package: python3-pypillowfight
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Python 3 bindings for libpillowfight
 Really simple C Library containing various image processing algorithms.
 It includes Python 3 bindings designed to operate on Pillow images.
 .
 This package installs the library for Python 3.

Package: libpillowfight-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpillowfight0 (= ${binary:Version}), ${misc:Depends}
Breaks: libpillowfight (<< ${binary:Version})
Description: Various image processing algorithms library - development files
 Really simple C Library containing various image processing algorithms.
 It includes several image processing algorithms specialized for scanned paper
 described in the library package.
 .
 This package installs the development headers

Package: libpillowfight0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libpillowfight (<< ${binary:Version})
Description: Various image processing algorithms library
 Really simple C Library containing various image processing algorithms.
 It includes the following algorithms:
  - Unpaper's algorithms: Blackfilter, Noisefilter, Blurfilter, Masks,
 Grayfilter, Border
  - Canny edge detection
  - Sobel operator
  - Gaussian blur
  - ACE (Automatic Color Equalization ; Parallelized implementation)
  - SWT (Stroke Width Transformation)
  - Compare : Compare two images (grayscale) and makes the pixels that are
 different really visible (red).
  - Scan borders: Tries to detect the borders of a page in an image coming from
 a scanner.
 .
 This package installs the C library
