## libpillowfight 0.3.1

=== Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 # 	pydocstyle src
 
 test: build_py
-	tox
+	pytest -xv tests
 
 linux_exe:
