=== debian/changelog ===
libpillowfight (0.3.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113185)

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Oct 2025 19:56:51 +0200

libpillowfight (0.3.1-2) unstable; urgency=medium

  * debian/tests: skip failing tests on i386

 -- Thomas Perret <thomas.perret@phyx.fr>  Sat, 07 Sep 2024 15:46:03 +0200

libpillowfight (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1
  * debian/watch: Fix upstream URL checking
  * debian/patches: drop patches applied in new version
  * debian/copyright: update copyright years
  * debian/control: bump Standards-Version to 4.7.0 (no changes needed)
  * debian/tests: include previously skipped tests

 -- Thomas Perret <thomas.perret@phyx.fr>  Sat, 31 Aug 2024 19:53:07 +0200

libpillowfight (0.3.0-5) unstable; urgency=medium

  * debian/control: dump Build-Depends to 4.6.1
  * debian/copyright: update year
  * debian/control: drop python3-nosetest build dependency (Closes: #1018399)
  * debian/patches:
    + import upstream patch to switch from nose to pytest
    + add debian patch to remove nose from setup.py
  * debian/watch: drop filenamemangling

 -- Thomas Perret <thomas.perret@phyx.fr>  Sun, 18 Sep 2022 12:52:14 +0200
