=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: libpillowfight
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Perret <thomas.perret@phyx.fr>
-Build-Depends: debhelper-compat (= 13), cmake, dh-python, libpython3-all-dev, libpython3-all-dbg, python3-all-dev:any, python3-all-dbg:any, python3-setuptools, python3-nose
-Standards-Version: 4.5.0
+Maintainer: Thomas Perret <thomas.perret@phyx.fr>
+Build-Depends: debhelper-compat (= 13), cmake, dh-python, libpython3-all-dev, libpython3-all-dbg, python3-all-dev:any, python3-all-dbg:any, python3-setuptools, python3-pytest
+Standards-Version: 4.7.0
 Homepage: https://gitlab.gnome.org/World/OpenPaperwork/libpillowfight
 Vcs-Browser: https://salsa.debian.org/openpaperwork-team/libpillowfight
 Vcs-Git: https://salsa.debian.org/openpaperwork-team/libpillowfight.git
