=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,7 @@
 src/pillowfight/_version.h: debian/_version.h.in
 	sed 's,@DEB_VERSION_UPSTREAM@,$(DEB_VERSION_UPSTREAM),g' $< > $@
 
-DEB_BUILD_MAINT_OPTIONS = hardening=+all
-ifeq ($(DEB_HOST_ARCH),amd64)
-    DEB_BUILD_MAINT_OPTIONS += optimize=-lto
-endif
-export DEB_BUILD_MAINT_OPTIONS
-
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 %:
 	dh $@ --with python3
