=== debian/watch ===
version=4
opts=searchmode=plain \
  https://gitlab.gnome.org/World/OpenPaperWork/libpillowfight/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
